Description: Use build flags from environment (dpkg-buildflags).
 Necessary for hardening flags.
Author: Simon Ruderich <simon@ruderich.org>
Last-Update: 2012-04-07

Index: epm-4.2/Makefile.in
===================================================================
--- epm-4.2.orig/Makefile.in	2012-04-07 17:50:29.572096713 +0200
+++ epm-4.2/Makefile.in	2012-04-07 17:50:34.248096734 +0200
@@ -43,6 +43,7 @@
 ARCHFLAGS	=	@ARCHFLAGS@
 CFLAGS		=	$(ARCHFLAGS) @CFLAGS@ $(OPTIM)
 CXXFLAGS	=	$(ARCHFLAGS) @CXXFLAGS@ $(OPTIM)
+CPPFLAGS	=	@CPPFLAGS@
 GUILIBS		=	@GUILIBS@
 LDFLAGS		=	$(ARCHFLAGS) @LDFLAGS@ $(OPTIM)
 LIBS		=	@LIBS@
@@ -75,10 +76,10 @@
 .SUFFIXES:	.c .cxx .h .o
 .c.o:
 	echo Compiling $<...
-	$(CC) $(CFLAGS) -I. -I$(srcdir) -c $<
+	$(CC) $(CFLAGS) $(CPPFLAGS) -I. -I$(srcdir) -c $<
 .cxx.o:
 	echo Compiling $<...
-	$(CXX) $(CXXFLAGS) -I. -I$(srcdir) -c $<
+	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -I. -I$(srcdir) -c $<
 
 
 #
Index: epm-4.2/doc/Makefile.in
===================================================================
--- epm-4.2.orig/doc/Makefile.in	2012-04-07 17:50:29.572096713 +0200
+++ epm-4.2/doc/Makefile.in	2012-04-07 17:50:34.248096734 +0200
@@ -25,6 +25,13 @@
 NROFF	=	@NROFF@
 RM	=	@RM@ -f
 
+#
+# Build flags...
+#
+
+CFLAGS		=	@CFLAGS@
+CPPFLAGS	=	@CPPFLAGS@
+LDFLAGS		=	@LDFLAGS@
 
 #
 # Man page generation...
@@ -55,7 +62,7 @@
 	$(HTMLDOC) --batch epm-book.book -f epm-book.html
 
 mantohtml:	mantohtml.o
-	$(CC) -o $@ mantohtml.o
+	$(CC) -o $@ $(CFLAGS) $(LDFLAGS) mantohtml.o
 
 $(MANPAGES):	mantohtml
 
